aboutsummaryrefslogtreecommitdiffstats
path: root/testsuites/stability/src/main/resources/distributionsetup/setup_distribution.sh
diff options
context:
space:
mode:
Diffstat (limited to 'testsuites/stability/src/main/resources/distributionsetup/setup_distribution.sh')
-rwxr-xr-xtestsuites/stability/src/main/resources/distributionsetup/setup_distribution.sh35
1 files changed, 35 insertions, 0 deletions
diff --git a/testsuites/stability/src/main/resources/distributionsetup/setup_distribution.sh b/testsuites/stability/src/main/resources/distributionsetup/setup_distribution.sh
new file mode 100755
index 00000000..763f47ed
--- /dev/null
+++ b/testsuites/stability/src/main/resources/distributionsetup/setup_distribution.sh
@@ -0,0 +1,35 @@
+#!/bin/bash
+# ============LICENSE_START=======================================================
+# Copyright (c) 2020 Nordix Foundation.
+# ================================================================================
+# Licensed under the Apache License, Version 2.0 (the "License");
+# you may not use this file except in compliance with the License.
+# You may obtain a copy of the License at
+#
+# http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing, software
+# distributed under the License is distributed on an "AS IS" BASIS,
+# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+# See the License for the specific language governing permissions and
+# limitations under the License.
+#
+# SPDX-License-Identifier: Apache-2.0
+# ============LICENSE_END=========================================================
+
+# the directory of the script
+DIR="$( cd "$( dirname "${BASH_SOURCE[0]}" )" && pwd )"
+echo ${DIR}
+
+if [ "$#" -lt 2 ];
+ then
+ echo "PAP and PolicyAPI IPs should be passed as two parameters. PAP IP goes first."
+ exit 1
+else
+ PAP=$1
+ echo "PAP IP: ${PAP}"
+ API=$2
+ echo "Policy API IP: $API"
+fi
+docker run -v /tmp/policydistribution/distributionmount:/home/policydistribution --add-host policy-api:${API} --add-host policy-pap:${PAP} -p 6969:6969 -p 9090:9090 --name policy-distribution -v ${DIR}/distribution/bin/policy-dist.sh:/opt/app/policy/distribution/bin/policy-dist.sh -v ${DIR}/distribution/etc/defaultConfig.json:/opt/app/policy/distribution/etc/defaultConfig.json -d --rm nexus3.onap.org:10001/onap/policy-distribution:2.3.1
+